View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001747aMuleMiscpublic2015-02-16 00:392015-03-17 11:42
ReporterOswald.Luc 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionno change required 
PlatformppcOSLinux 2.6.32.11-svn70860OS Version2.6.32.11-svn708
Product Version2.3.1 
Target VersionFixed in Version2.3.2 
Summary0001747: unable to compile Debian 4.4.5-8 ppc
DescriptionCompiling amuled.cpp
amuled.cpp: In member function 'virtual int CDaemonAppTraits::WaitForChild(wxExecuteData&)':
amuled.cpp:454: error: invalid use of incomplete type 'struct wxEndProcessData'
amule.h:471: error: forward declaration of 'struct wxEndProcessData'
amuled.cpp:455: error: invalid use of incomplete type 'struct wxEndProcessData'
amule.h:471: error: forward declaration of 'struct wxEndProcessData'
amuled.cpp:456: error: invalid use of incomplete type 'struct wxEndProcessData'
amule.h:471: error: forward declaration of 'struct wxEndProcessData'
amuled.cpp:457: error: invalid use of incomplete type 'struct wxEndProcessData'
amule.h:471: error: forward declaration of 'struct wxEndProcessData'
amuled.cpp: In function 'void OnSignalChildHandler(int, siginfo_t*, void*)':
amuled.cpp:494: error: invalid use of incomplete type 'struct wxEndProcessData'
amule.h:471: error: forward declaration of 'struct wxEndProcessData'
amuled.cpp:497: error: 'wxHandleProcessTermination' was not declared in this scope
make[3]: *** [amuled-amuled.o] Error 1
Steps To Reproducegcc version 4.4.5 (Debian 4.4.5-8)

./configure --disable-monolithic --enable-amule-daemon
TagsNo tags attached.
Fixed in Revision
Operating Systemlinux Debian 4.4.5-8
Attached Files

- Relationships

-  Notes
(0003651)
GonoszTopi (administrator)
2015-03-10 21:13

Please try compiling a recent SVN tarball from http://amule.sourceforge.net/tarballs/ [^]
(0003654)
Oswald.Luc (reporter)
2015-03-12 00:59

I tried with SVN tarball 10868 dated 26/01/2015 and it worked fine !
Thanks !
I don't know how to mark it solved.

- Issue History
Date Modified Username Field Change
2015-02-16 00:39 Oswald.Luc New Issue
2015-03-10 21:13 GonoszTopi Note Added: 0003651
2015-03-10 21:14 GonoszTopi Status new => feedback
2015-03-12 00:59 Oswald.Luc Note Added: 0003654
2015-03-12 00:59 Oswald.Luc Status feedback => new
2015-03-17 11:42 GonoszTopi Status new => resolved
2015-03-17 11:42 GonoszTopi Resolution open => no change required
2015-03-17 11:42 GonoszTopi Fixed in Version => 2.3.2


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker